#if !defined(AFX_DELETECARD_H__AF75AE33_C217_438C_8DE4_F9F8F7AD6781__INCLUDED_)
#define AFX_DELETECARD_H__AF75AE33_C217_438C_8DE4_F9F8F7AD6781__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DeleteCard.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDeleteCard dialog

class CDeleteCard : public CDialog
{
// Construction
public:
	CDeleteCard(CWnd* pParent = NULL);   // standard constructor
	CDeleteCard(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CDeleteCard)
	enum { IDD = IDD_CARD_DELETE };
	CComboBox	m_CardList;
	CComboBox	m_AcctList;
	CComboBox	m_SubAcctList;
	CString	m_sStartCardNo;
	CString	m_sEndCardNo;
	BOOL	m_bBulk;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDeleteCard)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDeleteCard)
	virtual BOOL OnInitDialog();
	afx_msg void OnDelete();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeSubAcctlist();
	afx_msg void OnBtnBulkDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr	pApplication;
	void LoadAccounts();
	void LoadSubAccounts();
	void LoadCardsList();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DELETECARD_H__AF75AE33_C217_438C_8DE4_F9F8F7AD6781__INCLUDED_)
